org.apache.ignite.internal.processors.cache.persistence.migration

## Class UpgradePendingTreeToPerPartitionTask

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.migration.UpgradePendingTreeToPerPartitionTask

All Implemented Interfaces:
  Serializable, Callable<Boolean>, IgniteCallable<Boolean>

    public class UpgradePendingTreeToPerPartitionTask
    extends Object
    implements IgniteCallable<Boolean>

Ignite native persistence migration task upgrades existed PendingTrees to per-partition basis. It's ignore possible assertions errors when a pointer to an entry exists in tree but the entry itself was removed due to some reason (e.g. when partition was evicted after restart). Task goes through persistent cache groups and copy entries to certain partitions.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `BATCH_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`UpgradePendingTreeToPerPartitionTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Boolean` `call()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BATCH_SIZE

    public static final int BATCH_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### UpgradePendingTreeToPerPartitionTask

    public UpgradePendingTreeToPerPartitionTask()

### Method Detail

#### call

    public Boolean call()
                 throws IgniteException

Specified by:
  `call` in interface `Callable<Boolean>`
Throws:
  `IgniteException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021